package com.hzya.frame.sysnew.integtationTaskLivingDetails.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @description: 集成任务实例详情  entity
 * @tableName: integration_task_living_details
 * @entityName: IntegrationTaskLivingDetailsEntity
 * @author: gjh
 * @history: 1.0
 */
public class IntegrationTaskLivingDetailsVo extends BaseEntity {

    /**  task_name  */
    private String task_name;
    /**  integration_task_id  */
    private String task_id;
    /**
     * 集成任务-实例_id
     */
    private String task_linving_id;
    /**
     * 返回结果
     */
    private String result;
    /**
     * 原始查询条件
     */
    private String query_condition;
    /**
     * 源系统主键
     */
    private String root_app_pk;
    /**
     * 原系统单据
     */
    private String root_app_bill;
    /**
     * 最新源系统数据详情(上游系统入参)
     */
    private String root_app_new_data;
    /**
     * 最新传输信息(下游系统返回结果)
     */
    private String new_transmit_info;
    private String new_push_date;
    /**
     * 是否补推(Y是N不是)
     */
    private String repair_pust;

    //场景id
    private String sence_id;

    // 插件id
    private String plugin_id;

    // 插件名称
    private String plugin_name;
    /**
     * 推送状态
     */
    private String new_state;

    /**
     * 作为查询条件的推送状态
     */
    private String param_new_state;

    /**
     * 单据业务日期
     */
    private String business_date;


    /**
     * 下游系统主键
     */
    private String new_system_primary;
    /**
     * 下游系统单号
     */
    private String new_system_number;
    /**
     * 处理⼈
     */
    private String processor;

    /**
     * 处理⼈名称
     */
    private String processor_name;

    /**
     * 处理备注
     */
    private String processing_remarks;
    /**
     * 处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date processing_time;


    public String getParam_new_state() {
        return param_new_state;
    }

    public void setParam_new_state(String param_new_state) {
        this.param_new_state = param_new_state;
    }

    public String getBusiness_date() {
        return business_date;
    }

    public void setBusiness_date(String business_date) {
        this.business_date = business_date;
    }

    public String getNew_state() {
        return new_state;
    }

    public void setNew_state(String new_state) {
        this.new_state = new_state;
    }

    public String getSence_id() {
        return sence_id;
    }

    public void setSence_id(String sence_id) {
        this.sence_id = sence_id;
    }

    /**
     * 集成任务-实例_id
     */
    public void setTask_linving_id(String task_linving_id) {
        this.task_linving_id = task_linving_id;
    }

    /**
     * 集成任务-实例_id
     */
    public String getTask_linving_id() {
        return task_linving_id;
    }


    /**
     * 返回结果
     */
    public void setResult(String result) {
        this.result = result;
    }

    /**
     * 返回结果
     */
    public String getResult() {
        return result;
    }


    /**
     * 原始查询条件
     */
    public void setQuery_condition(String query_condition) {
        this.query_condition = query_condition;
    }

    /**
     * 原始查询条件
     */
    public String getQuery_condition() {
        return query_condition;
    }


    /**
     * 源系统主键
     */
    public void setRoot_app_pk(String root_app_pk) {
        this.root_app_pk = root_app_pk;
    }

    /**
     * 源系统主键
     */
    public String getRoot_app_pk() {
        return root_app_pk;
    }


    /**
     * 原系统单据
     */
    public void setRoot_app_bill(String root_app_bill) {
        this.root_app_bill = root_app_bill;
    }

    /**
     * 原系统单据
     */
    public String getRoot_app_bill() {
        return root_app_bill;
    }


    /**
     * 最新源系统数据详情
     */
    public void setRoot_app_new_data(String root_app_new_data) {
        this.root_app_new_data = root_app_new_data;
    }

    /**
     * 最新源系统数据详情
     */
    public String getRoot_app_new_data() {
        return root_app_new_data;
    }


    /**
     * 最新传输信息
     */
    public void setNew_transmit_info(String new_transmit_info) {
        this.new_transmit_info = new_transmit_info;
    }

    /**
     * 最新传输信息
     */
    public String getNew_transmit_info() {
        return new_transmit_info;
    }

    public String getNew_push_date() {
        return new_push_date;
    }

    public void setNew_push_date(String new_push_date) {
        this.new_push_date = new_push_date;
    }

    /**
     * 是否补推(Y是N不是)
     */
    public void setRepair_pust(String repair_pust) {
        this.repair_pust = repair_pust;
    }

    /**
     * 是否补推(Y是N不是)
     */
    public String getRepair_pust() {
        return repair_pust;
    }

    public String getPlugin_id() {
        return plugin_id;
    }

    public void setPlugin_id(String plugin_id) {
        this.plugin_id = plugin_id;
    }

    public String getTask_name() {
        return task_name;
    }

    public void setTask_name(String task_name) {
        this.task_name = task_name;
    }

    public String getTask_id() {
        return task_id;
    }

    public void setTask_id(String task_id) {
        this.task_id = task_id;
    }

    public String getPlugin_name() {
        return plugin_name;
    }

    public void setPlugin_name(String plugin_name) {
        this.plugin_name = plugin_name;
    }

    public String getNew_system_primary() {
        return new_system_primary;
    }

    public void setNew_system_primary(String new_system_primary) {
        this.new_system_primary = new_system_primary;
    }

    public String getNew_system_number() {
        return new_system_number;
    }

    public void setNew_system_number(String new_system_number) {
        this.new_system_number = new_system_number;
    }

    public String getProcessor() {
        return processor;
    }

    public void setProcessor(String processor) {
        this.processor = processor;
    }

    public String getProcessor_name() {
        return processor_name;
    }

    public void setProcessor_name(String processor_name) {
        this.processor_name = processor_name;
    }

    public String getProcessing_remarks() {
        return processing_remarks;
    }

    public void setProcessing_remarks(String processing_remarks) {
        this.processing_remarks = processing_remarks;
    }

    public Date getProcessing_time() {
        return processing_time;
    }

    public void setProcessing_time(Date processing_time) {
        this.processing_time = processing_time;
    }
}
